# $Revision: 1.37 $, $Date: 2008/08/20 21:59:23 $
#
# Conditional build:
%bcond_without	autodeps	# don't BR packages needed only for resolving deps
%bcond_without	tests		# don't perform "make test"
#
%include	/usr/lib/rpm/macros.perl
Summary:	Collection of files for checking, reporting, and revoking spam
Summary(pl.UTF-8):	Zbiór plików do sprawdzania, raportowania i odrzucania spamu
Name:		Razor
Version:	2.85
Release:	1
License:	Artistic
Group:		Applications/Mail
Source0:	http://dl.sourceforge.net/razor/razor-agents-%{version}.tar.bz2
# Source0-md5:	014d08db40187cb1316482191566b012
URL:		http://razor.sourceforge.net/
%if %{with autodeps}
BuildRequires:	perl-Class-Fields
BuildRequires:	perl-Digest-Nilsimsa
BuildRequires:	perl-Digest-SHA1
BuildRequires:	perl-Net-DNS
BuildRequires:	perl-URI
%endif
BuildRequires:	perl-Time-HiRes
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
Requires:	perl-Razor = %{version}-%{release}
Obsoletes:	perl-Vipuls-Razor-V1
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Vipul's Razor is a distributed, collaborative, spam detection,
reporting, and filtering network. The primary focus of the system is
to identify and remove all email spam from the internet.

%description -l pl.UTF-8
Vipul's Razor jest dystrybuowalną, tworzoną dzięki współpracy siecią,
służącą do wykrywania spamu, raportowania i filtrowania. Podstawowym
zadaniem systemu jest identyfikacja spamu z poczty internetowej.

%package -n perl-Razor
Summary:	Perl modules for Razor
Summary(pl.UTF-8):	Moduły Perla dla Razora
Group:		Development/Languages/Perl

%description -n perl-Razor
Perl modules for Razor, class Razor2::.

%description -n perl-Razor -l pl.UTF-8
Moduły Perla dla Razora, klasa Razor2::.

%prep
%setup -q -n razor-agents-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_sysconfdir}/razor

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{perl_vendorarch}/auto/razor-agents/.packlist

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Change* BUGS README INSTALL CREDITS
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/*
%{_mandir}/man5/*

%files -n perl-Razor
%defattr(644,root,root,755)
%dir %{_sysconfdir}/razor
%{perl_vendorarch}/Razor2
%dir %{perl_vendorarch}/auto/Razor2
%dir %{perl_vendorarch}/auto/Razor2/Preproc
%dir %{perl_vendorarch}/auto/Razor2/Preproc/deHTMLxs
%attr(755,root,root) %{perl_vendorarch}/auto/Razor2/Preproc/deHTMLxs/deHTMLxs.so
%{perl_vendorarch}/auto/Razor2/Preproc/deHTMLxs/deHTMLxs.bs
%{perl_vendorarch}/auto/Razor2/Preproc/deHTMLxs/autosplit.ix
%{perl_vendorarch}/auto/Razor2/Syslog
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: Razor.spec,v $
Revision 1.37  2008/08/20 21:59:23  blues
- 2.85

Revision 1.36  2008/02/23 21:48:07  glen
- release 2

Revision 1.35  2007-06-21 09:48:43  blues
- 2.84

Revision 1.34  2007/02/12 21:23:45  glen
- tabs in preamble

Revision 1.33  2007/02/12 00:48:34  baggins
- converted to UTF-8

Revision 1.32  2007/01/16 22:47:32  glen
- make sure man5 are installed; rel 2

Revision 1.31  2007/01/16 19:49:57  glen
- check-files cleanup

Revision 1.30  2006/06/05 22:00:27  arekm
- include /etc/razor

Revision 1.29  2006/06/05 21:47:58  arekm
- up to 2.82.

Revision 1.28  2006/05/24 09:07:15  blues
- symlinks are no longer created - separate scripts

Revision 1.27  2006/05/23 12:00:21  blues
- 2.81 - there is no register only admin

Revision 1.26  2005/09/22 20:30:13  arekm
- up to 2.77

Revision 1.25  2005/08/02 22:27:17  zbyniu
- up to 2.72

Revision 1.24  2004/12/21 11:17:19  darekr
- updated to 2.67

Revision 1.23  2004/10/31 20:54:09  paladine
- spaces->tabs
- formatting

Revision 1.22  2004/08/21 16:57:50  misi3k
- updated to 2.61

Revision 1.21  2004/07/07 09:14:56  ankry
- it is not noarch, rel. 2

Revision 1.20  2004/04/07 21:48:34  qboosh
- perl-Time-HiRes is always BRed

Revision 1.19  2004/04/07 21:35:16  qboosh
- updated to 2.40, removed obsolete patch, fixed build on !i686

Revision 1.18  2004/02/16 00:03:05  eothane
- bcond style, changelog cleanups

Revision 1.17  2004/01/03 06:55:02  aredridel
- fix perms

Revision 1.16  2004/01/03 06:42:54  aredridel
- up to 2.36
- patched to work with SpamAssassin

Revision 1.15  2003/12/29 15:03:06  undefine
- BR: perl-Net-DNS

Revision 1.14  2003/09/09 10:24:18  ankry
- spaces -> tab

Revision 1.13  2003/08/27 00:16:31  gotar
- fixed changelog trailer

Revision 1.12  2003/07/06 23:27:14  blues
- many small fixes, mostly inpired by kloczek

Revision 1.11  2003/05/26 16:24:19  malekith
- massive attack: adding Source-md5

Revision 1.10  2003/05/25 05:45:21  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.9  2003/05/20 13:09:57  qboosh
- merged perl BRs from update done on RA-branch

Revision 1.8  2003/04/11 19:15:26  radek
- BR: perl-devel; do not BR: perl

Revision 1.7  2003/03/02 22:53:06  radek
- updated for perl-5.8; release 3

Revision 1.6  2003/02/28 10:07:02  trojan
- massive attack: perl -pi -e "s/^#+\%\{/#\%\%\{/"

Revision 1.5  2002/12/02 11:06:14  ankry
- massive cleaning

Revision 1.4  2002/10/04 09:40:59  qboosh
- Obsoletes between Razor and perl-Vipuls-Razor-V1; release 3

Revision 1.3  2002/08/01 20:27:15  qboosh
- added missing defattr in subpackage; release 2

Revision 1.2  2002/07/26 00:00:49  radek
- standarized Source URL

Revision 1.1  2002/07/21 10:53:13  radek
- new, STBR
